CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

BeepOnError Property (ActiveX)

2023-1-3 21:28| 发布者: admin| 查看: 361| 评论: 0|来自: AutoCAD

摘要: 指定 AutoCAD 在检测到无效条目时是否应发出警报蜂鸣声。

指定 AutoCAD 在检测到无效条目时是否应发出警报蜂鸣声。

支持的平台:仅窗口

签名

工 务 局:

object.BeepOnError
对象

类型:首选项系统

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:发出警报蜂鸣音,输入无效。
  • False:输入无效时不发出闹钟蜂鸣音。

言论

此属性的初始值为。False

例子

工 务 局:

Sub Example_BeepOnError()
    ' This example returns the current setting of
    ' BeepOnError. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currBeepOnError As Boolean
    
    Set preferences = ThisDrawing.Application.preferences
    
    ' Retrieve the current BeepOnError value
    currBeepOnError = preferences.System.BeepOnError
    MsgBox "The current value for BeepOnError is " & preferences.System.BeepOnError, vbInformation, "BeepOnError Example"
    
    ' Change the value for BeepOnError
    preferences.System.BeepOnError = Not (currBeepOnError)
    MsgBox "The new value for BeepOnError is " & preferences.System.BeepOnError, vbInformation, "BeepOnError Example"
    
    ' Reset BeepOnError to its original value
    preferences.System.BeepOnError = currBeepOnError
    MsgBox "The BeepOnError value is reset to " & preferences.System.BeepOnError, vbInformation, "BeepOnError Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_BeepOnError()
    ;; This example returns the current setting of
    ;; BeepOnError. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current BeepOnError value
    (setq currBeepOnError (vla-get-BeepOnError (vla-get-System preferences)))
    (alert (strcat "The current value for BeepOnError is " (if (= currBeepOnError :vlax-true) "True" "False")))
    
    ;; Change the value for BeepOnError
    (vla-put-BeepOnError (vla-get-System preferences) (if (= currBeepOnError :vlax-true) :vlax-false :vlax-true))
    (setq newBeepOnError (vla-get-BeepOnError (vla-get-System preferences)))
    (alert (strcat "The new value for BeepOnError is " (if (= newBeepOnError :vlax-true) "True" "False")))
    
    ;; Reset BeepOnError to its original value
    (vla-put-BeepOnError (vla-get-System preferences) currBeepOnError)
    (alert (strcat "The BeepOnError value is reset to " (if (= currBeepOnError :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 13:57

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部